Bug 864538 (CVE-2012-5109)

Summary: CVE-2012-5109 icu: DoS (out-of bounds read) via vectors related to regular expression
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: caolanm, denis.arnaud_fedora, erack, rmeggins
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20121008,reported=20121009,source=cve,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,rhel-5/icu=wontfix,rhel-6/icu=wontfix,directory_server_8/icu=notaffected,fedora-all/icu=notaffected,cwe=CWE-125[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-22 11:45:25 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 864539    

Description Jan Lieskovsky 2012-10-09 10:31:25 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-5109 to the following vulnerability:

The International Components for Unicode (ICU) functionality in Google Chrome before 22.0.1229.92 allows remote attackers to cause a denial of service (out-of-bounds read) via vectors related to a regular expression.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5109
[2] http://googlechromereleases.blogspot.com/2012/10/stable-channel-update.html
[3] https://code.google.com/p/chromium/issues/detail?id=148692 (private)
Comment 1 Huzaifa S. Sidhpurwala 2012-10-16 01:40:22 EDT
Upstream patch:
http://bugs.icu-project.org/trac/changeset/29356
Comment 4 Huzaifa S. Sidhpurwala 2012-10-16 02:49:38 EDT
This issue does not affect the version of icu package as shipped with Fedora 16 and Fedora 17.
Comment 9 Vincent Danen 2015-08-22 11:45:10 EDT
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.